/* CSS Document */
/*Global Colour Palette for Acupuncture Site: Sticking Point */
:root {
  --primary-colour: #91E5F6;
  --secondary-colour: #212529;
  --tertiary-colour: #95D9DA;
  --bnt-a-colour: #133C55;
}

html, body{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    text-color: #212529;
    font-family: "Space Grotesk", sans-serif;
    font-size: 1.2em;
}

nav {
    padding-bottom: 3em;
    background-color: #91E5F6;
    background: linear-gradient(270deg, #95D9DA 0%, #91E5F6 100%);
}

nav ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    flex-direction: column;
}

nav ul li a {
    padding: 20px;
    display: block;
    color: #212529;
    font-weight: 700;
    text-transform: uppercase;  
}

nav ul li a:hover, nav ul li a:focus {
    color: black;
    border: 0;
}

h1, h2, h3 {
  text-align: center;
  font-family: "Madimi One", sans-serif;
}

.content-wrapper {
  max-width: 55em;
  padding: 1.5em;
  margin: 0 auto;
}

.foot-wrapper {
    padding: 0 0.5em;
}

section h2 {
  color: #91E5F6;
  text-shadow: 2px 1px 3px #212529;
}

a {
  color: #133C55;
  text-decoration: none;
}

a:hover,
a:focus {
  color: #00A593;
  border-bottom: thin solid #00A593;
}

footer {
  text-align: center;
}

.splash {
  width: 80%;
  margin: 0 auto;
}

.splash-heading {
  padding: 0.7em 1em;
  font-size: 3em;
  font-weight: 700;
  line-height: 1em;
  border: 3px solid white;
  border-radius: 9px;
}

.splash-subheading {
  letter-spacing: 0.05em;
  text-align: center;
}

.splash-link {
  text-align: center;
}

.splash-link a {
  padding: 0.8em;
  width: 35%;
  margin: auto;
  display: block;
  border: 3px solid #4D7CD3;
}

.splash-link a:hover,
.splash-link a:focus {
  color: white;
  background-color: #4D7CD3;
  border: 3px solid black;
}
 
.splash-heading, .splash-link {
  word-wrap: break-word;
}

img, iframe {
  max-width: 100%;
}

#hero {grid-area:hero;}
#section1 {grid-area:section1;}
#section2 {grid-area:section2;}
#section3 {grid-area:section3;}
#section4 {grid-area:section4;}
#foot1 {grid-area:foot1;}
#foot2 {grid-area:foot2;}
#foot3 {grid-area:foot3;}
#foot4 {grid-area:foot4;}

@media screen and (min-width:1000px){

main.content-wrapper{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas:
      "hero hero hero hero"
      "section1 section1 section2 section2"
      "section3 section3 section4 section4";
    column-gap: 1em;
    row-gap: 1em;
}
        
main.foot-wrapper{
    display:grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas: "foot1 foot2 foot3 foot4";
    column-gap: 1em;
    row-gap: 1em;
}
    
nav ul{
    display: flex;
    flex-direction: row!important;
    }
}

input, textarea {
  font-size: 0.8em;
  line-height: 1.4em;
  margin: 0.4em 0;
}

#submit {
  padding: 0.5em 0.7em;
  color: white;
  font-size: 1.1em;
  border-radius: 10px;
  background-color: #133C55;
  cursor: pointer;
}

#submit:hover {
  background-color: #4D7CD3;
  color: black;
}